安基网 首页 资讯 互联网 查看内容

PHP两版本大限将至,全球近七成网站需紧急更新

2018-10-18 11:37| 投稿: lofor |来自: 互联网


免责声明:本站系公益性非盈利IT技术普及网,本文由投稿者转载自互联网的公开文章,文末均已注明出处,其内容和图片版权归原网站或作者所有,文中所述不代表本站观点,若有无意侵权或转载不当之处请从网站右下角联系我们处理,谢谢合作!

摘要: 作为最受欢迎的服务器端语言,PHP 各版本已经被全球近8成的网站采用。而根据PHP 给出的各版本的生命周期,2019年1月1日开始,PHP 5 最后一个版本 5.6 将不再受支持,与此同时,PHP 7 第一个版本 PHP 7.0 也将在2018 ...

作为最受欢迎的服务器端语言,PHP 各版本已经被全球近8成的网站采用。而根据PHP 给出的各版本的生命周期,2019年1月1日开始,PHP 5 最后一个版本 5.6 将不再受支持,与此同时,PHP 7 第一个版本 PHP 7.0 也将在2018年 12月 3 日不再更新。而全球仍然有超过六成的网站采用这个两个版本,如不及时升级,将面临不可估量的安全风险。

根据 W3Techs 最新的统计数据,在已知的语言中,有78.9%的网站采用了 PHP,全球所有的网站中使用 PHP 5 版本的网站占比高达 61.8%。再细分下来,使用PHP 5的网站中有 41.5% 采用的是 PHP 5.6,也就是说依然有很多网站仍然采用不再受支持的 PHP 版本。

和桌面端、移动端操作系统一样,停止维护之后,一旦被发现有安全漏洞便不会得到更新、修复,黑客便可以利用漏洞对网站发起入侵导致严重风险。

值得注意的是,根据PHP 官方的生命周期表,PHP 7.0 将在PHP 5.6之前停止支持。PHP 7 在全球网站份额中占比 16.6% ,其中 50.6% 采用的便是PHP 7.0。这两大版本综合起来,停止维护之后,将影响全球近七成的网站。

值得一提的是,全球三大建站系统Wordpress、Joomla、Drupal中,仅仅wordpress就占据全球网站中 32%的份额,Wordpress 最低支持的 PHP 版本为 PHP 5.2,Joomla和 Drupal 最低要求 PHP 5.3,而Drupal 虽然宣布在2019年3月开始要求最低版本为 PHP 7.0,以此举来督促用户积极升级。但这其中还是有至少两个月的过渡期,对于重要的网站系统而言依然不能接受这样的风险。

跟桌面端、移动端系统升级一样,网站升级也面临很多问题。新版本兼容性问题不确定性可能是最大的阻碍,很多网站开发者针对不同需求开发很多程序或者插件,一旦升级 PHP 版本可能会存在不兼容的问题,还存在其他隐藏的问题需要逐一排查,这也是耗费不少人力、时间成本,对于网站运营者来说,保持网站持续正常运营是第一要素。

所以你会发现,目前采用已经不再受支持的PHP版本的网站依然不在少数,就像现在依然有很多用户在使用 Windows XP、Android 4.X……

*数据来源:W3Techs,本文作者:Andy.i,转载请注明来自FreeBuf.COM

Tag标签:

小编推荐:欲学习电脑技术、系统维护、网络管理、编程开发和安全攻防等高端IT技术,请 点击这里 注册账号,公开课频道价值万元IT培训教程免费学,让您少走弯路、事半功倍,好工作升职加薪!

本文出自:http://www.freebuf.com/news/186794.html

免责声明:本站系公益性非盈利IT技术普及网,本文由投稿者转载自互联网的公开文章,文末均已注明出处,其内容和图片版权归原网站或作者所有,文中所述不代表本站观点,若有无意侵权或转载不当之处请从网站右下角联系我们处理,谢谢合作!


鲜花

握手

雷人

路过

鸡蛋

相关阅读

最新评论

最新

返回顶部